###############################################################################
#
# This file is part of the Geneva library collection.
#
# The purpose of this file is to remove temporary files generated by CMake
# during the build process
#
# Use at your own risk
#
###############################################################################

SET(
	CMAKE_TEMPORARIES
	${CMAKE_BINARY_DIR}/CMakeCache.txt
	${CMAKE_BINARY_DIR}/cmake_install.cmake
	${CMAKE_BINARY_DIR}/CMakeFiles
)

MESSAGE ("Removing CMake-temporaries ${CMAKE_TEMPORARIES}")

FOREACH (TEMPORARY ${CMAKE_TEMPORARIES})
	IF(EXISTS ${TEMPORARY})
		FILE(REMOVE_RECURSE ${TEMPORARY})
	ENDIF()
ENDFOREACH()

MESSAGE ("done ...")
